## openrazer-3.11.0.gh.tar.gz

=== pylib/Makefile ===
# SPDX-License-Identifier: GPL-2.0-or-later

DESTDIR?=/
PREFIX?=/usr

purge_pycache:
	@find -name '__pycache__' | xargs rm -rf

install: purge_pycache
	python3 setup.py install --prefix=$(PREFIX) --root=$(DESTDIR)

ubuntu_install: purge_pycache
	python3 setup.py install --prefix=$(PREFIX) --root=$(DESTDIR) --no-compile --install-layout=deb

=== debian/control ===
Source: openrazer
Maintainer: Luca Weiss <debian@lucaweiss.eu>
Section: misc
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-python,
               python3,
               python3-setuptools
# "dh-dkms" for Ubuntu 23.04 and later. "dkms" for earlier releases
Build-Depends-Indep: dh-dkms | dkms (<< 3.0.10)
Standards-Version: 4.6.0
Vcs-Browser: https://github.com/openrazer/openrazer/
Vcs-Git: https://github.com/openrazer/openrazer.git
Homepage: https://openrazer.github.io/

Package: openrazer-meta
Architecture: all
Depends: ${misc:Depends},
         openrazer-driver-dkms (= ${binary:Version}),
         openrazer-daemon (= ${binary:Version}),
         python3-openrazer (= ${binary:Version})
Suggests: openrazer-doc (= ${binary:Version})
Description: OpenRazer peripheral drivers (metapackage)
 OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
 Supported devices include keyboards, mice, mouse-mats, headsets and
 various other devices.
 .
 This package is a metapackage which depends on the OpenRazer driver and
 userspace daemon, plus a Python library and documentation.

Package: openrazer-driver-dkms
Architecture: all
Section: kernel
Depends: ${misc:Depends},
         dkms,
         udev
Conflicts: razer-chroma-driver,
           razer-kernel-modules-dkms,
           openrazer-kernel-modules-dkms
Provides: razer-chroma-driver,
          razer-kernel-modules-dkms,
          openrazer-kernel-modules-dkms
Replaces: razer-chroma-driver,
          razer-kernel-modules-dkms,
          openrazer-kernel-modules-dkms
Description: OpenRazer peripheral drivers (DKMS)
 OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
 Supported devices include keyboards, mice, mouse-mats, headsets and
 various other devices.
 .
 This package provides the source code for the OpenRazer kernel module to be
 build with dkms. Kernel sources or headers are required to compile this
 module.
 .
 Please read the Troubleshooting Guide in
 /usr/share/doc/openrazer-driver-dkms/README.Debian.


Package: openrazer-daemon
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         openrazer-driver-dkms (= ${binary:Version}),
         python3-dbus,
         python3-gi,
         python3-pyudev,
         python3-setproctitle,
         python3-daemonize (>= 2.4.0),
         gir1.2-glib-2.0,
         libnotify-bin,
         xautomation,
         dbus-session-bus
Recommends: python3-openrazer (= ${binary:Version})
Conflicts: razer-daemon
Provides: razer-daemon
Replaces: razer-daemon
Description: OpenRazer peripheral drivers (daemon)
 OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
 Supported devices include keyboards, mice, mouse-mats, headsets and
 various other devices.
 .
 This package provides a user-space daemon used to interface with the driver.
 It contains a systemd user unit and an AppStream file.

Package: python3-openrazer
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         openrazer-daemon (= ${binary:Version}),
         python3-dbus,
         python3-gi,
         python3-numpy
Conflicts: python3-razer
Provides: python3-razer
Replaces: python3-razer
Description: OpenRazer peripheral drivers (Python 3)
 OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
 Supported devices include keyboards, mice, mouse-mats, headsets and
 various other devices.
 .
 This package contains a library for interacting with the OpenRazer daemon.

Package: openrazer-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Conflicts: razer-doc
Provides: razer-doc
Replaces: razer-doc
Description: OpenRazer peripheral drivers (documentation)
 OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
 Supported devices include keyboards, mice, mouse-mats, headsets and
 various other devices.
 .
 This package contains scripts on how to interact with the daemon and
 the driver.
